Call Connection - Get Call

Get the detail properties of an ongoing call.

GET {endpoint}/calling/callConnections/{callConnectionId}?api-version=2026-03-12

URI Parameters

Name In Required Type Description
callConnectionId
path True

string

The call connection id.

endpoint
path True

string (url)

The endpoint of the Azure Communication Service resource.

api-version
query True

string

Version of the API to invoke.

Request Header

Name Required Type Description
Authorization True

string

An Azure Communication Services user access token.

Responses

Name Type Description
200 OK

CallConnectionProperties

Returns details of the call properties.

Other Status Codes

CommunicationErrorResponse

Error

Security

Authorization

An Azure Communication Services user access token.

Type: apiKey
In: header

Examples

CallConnection_GetCall

Sample request

GET https://contoso.communications.azure.com/calling/callConnections/18dea47f-b081-4107-9a5c-4300819d2c6c?api-version=2026-03-12

Sample response

{
  "callConnectionId": "18dea47f-b081-4107-9a5c-4300819d2c6c",
  "serverCallId": "aHR0cHM6Ly9jb252ZXJzYXRpb251cmwvdGVzdA",
  "sourceCallerIdNumber": {
    "value": "+18440123456"
  },
  "source": {
    "kind": "communicationUser",
    "communicationUser": {
      "id": "8:acs:b9614373-fd0b-480c-8fd2-cb58b70eab9f_da7be3a9-8788-42a6-85c6-56b2cf784fce"
    }
  },
  "targets": [
    {
      "kind": "communicationUser",
      "communicationUser": {
        "id": "8:acs:b9614373-fd0b-480c-8fd2-cb58b70eab9f_0f50d091-5bd3-448b-884d-44be7037d9b9"
      }
    },
    {
      "kind": "phoneNumber",
      "phoneNumber": {
        "value": "+14250123456"
      }
    }
  ],
  "callConnectionState": "connected",
  "callbackUri": "https://app.contoso.com/callback"
}

Definitions

Name Description
CallConnectionProperties

Properties of a call connection

CallConnectionStateModel

The states of a call connection.

MediaStreamingContentType

Type of content in Media streaming.

MediaStreamingSubscription

Media streaming Subscription Object.

MediaStreamingSubscriptionState

Current state of media streaming session

TranscriptionResultType

Transcription result types

TranscriptionSubscription

Transcription Subscription Object.

TranscriptionSubscriptionState

Current state of transcription session

CallConnectionProperties

Properties of a call connection

Name Type Description
answeredBy

CommunicationUserIdentifierModel

answeredFor

PhoneNumberIdentifierModel

callConnectionId

string

The call connection id.

callConnectionState

CallConnectionStateModel

The states of a call connection.

callbackUri

string

The callback URI.

correlationId

string

The correlation ID.

mediaStreamingSubscription

MediaStreamingSubscription

Media streaming Subscription Object.

serverCallId

string

The server call id.

source

CommunicationIdentifierModel

sourceCallerIdNumber

PhoneNumberIdentifierModel

sourceDisplayName

string

Display name of the call if dialing out to a pstn number.

targets

CommunicationIdentifierModel[]

The targets of the call.

transcriptionSubscription

TranscriptionSubscription

Transcription Subscription Object.

CallConnectionStateModel

The states of a call connection.

Value Description
unknown
connecting
connected
transferring
transferAccepted
disconnecting
disconnected

MediaStreamingContentType

Type of content in Media streaming.

Value Description
audio

MediaStreamingSubscription

Media streaming Subscription Object.

Name Type Description
id

string

Subscription Id.

state

MediaStreamingSubscriptionState

Current state of media streaming session

subscribedContentTypes

MediaStreamingContentType[]

Subscribed media streaming content types.

MediaStreamingSubscriptionState

Current state of media streaming session

Value Description
disabled
inactive
active

TranscriptionResultType

Transcription result types

Value Description
final
intermediate

TranscriptionSubscription

Transcription Subscription Object.

Name Type Description
id

string

Subscription Id.

locale

string

Specifies the locale used for transcription, e.g., en-CA or en-AU.

state

TranscriptionSubscriptionState

Current state of transcription session

subscribedResultTypes

TranscriptionResultType[]

Subscribed transcription result types.

TranscriptionSubscriptionState

Current state of transcription session

Value Description
disabled
inactive
active